#!/usr/bin/env python
import setuptools

from python_util import __version__


# For reasons why you shouldn't do this, see:
#   https://caremad.io/blog/setup-vs-requirement/
# For all the fucks I give see:
#   /dev/zero
with open('requirements.txt', 'r') as f:
    requirements = f.read().splitlines()
    requirements = filter(lambda x: '==' in x, requirements)
with open('requirements-dev.txt', 'r') as f:
    requirements_dev = f.read().splitlines()
    requirements_dev = filter(lambda x: '==' in x, requirements_dev)


setuptools.setup(
    name='python-util',
    version=__version__,
    description='python-util',
    long_description='A collection of useful snippets',
    keywords='utilities',
    author='Kevin James',
    author_email='KevinJames@thekev.in',
    url='https://github.com/TheKevJames/util.git',
    license='MIT License',
    packages=setuptools.find_packages(exclude=['tests']),
    install_requires=requirements,
    tests_require=requirements_dev,
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python',
        'Topic :: Software Development',
    ],
    test_suite='tests',
    extras_require={
        'testing': requirements_dev,
    },
)
